Package org.apache.sling.feature.cpconverter.artifacts

## Class LocalMavenRepositoryArtifactsDeployer

- java.lang.Object
- - org.apache.sling.feature.cpconverter.artifacts.LocalMavenRepositoryArtifactsDeployer

All Implemented Interfaces:
  `ArtifactsDeployer`

    public class LocalMavenRepositoryArtifactsDeployer
    extends Object
    implements ArtifactsDeployer

Stores the deployed artifacts in a local Maven repository layout.

### Constructor Summary

Constructors
`LocalMavenRepositoryArtifactsDeployer​(@NotNull File outputDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull String` `deploy​(@NotNull ArtifactWriter artifactWriter, @Nullable String runmode, @NotNull org.apache.sling.feature.ArtifactId id)` Deploy the artifact and return information about its location
`@NotNull File` `getBaseDirectory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalMavenRepositoryArtifactsDeployer

    public LocalMavenRepositoryArtifactsDeployer​(@NotNull
                                                 @NotNull File outputDirectory)

### Method Detail

#### getBaseDirectory

    @NotNull
    public @NotNull File getBaseDirectory()

#### deploy

    @NotNull
    public @NotNull String deploy​(@NotNull
                                  @NotNull ArtifactWriter artifactWriter,
                                  @Nullable
                                  @Nullable String runmode,
                                  @NotNull
                                  @NotNull org.apache.sling.feature.ArtifactId id)
                           throws IOException

Description copied from interface: `ArtifactsDeployer`
Deploy the artifact and return information about its location

Specified by:
  `deploy` in interface `ArtifactsDeployer`
Parameters:
  `artifactWriter` - The artifact writer to use
  `runmode` - Optional runmode
  `id` - The artifact id
Returns:
  Information about the location, this is deployer specific
Throws:
  `IOException` - If deploying fails